Subject: bug#20610: 25.0.50; Gnus fancy mail splitting not working anymore

From: Sebastien Vauban <[email-masked]>
Date: Tue, 19 May 2015 19:57:47 +0200

Stefan Monnier <[email-masked]> writes:
>> While "fancy mail splitting" (section 6.4.6 of the manual) with the
>> `gnus-private' attribute of BBDB [1] works perfectly -- for years! --
>> under (Windows) Emacs 24.5 (and many previous versions), it stops
>> working when using Emacs 25.0.50 [2]... while (let's be explicit!) the
>> `.gnus' file stays strictly the same.
>
> Few!  I was afraid that at this point you'd give us the actual error
> message!

I wish I could, but there isn't:

--8<---------------cut here---------------start------------->8---
...
nnimap read 10k from mail
Reading active file via nndraft...done
Checking new news...done
...
--8<---------------cut here---------------end--------------->8---

Not even a message about splitting.

The only visible difference is that, under 24.5, it does apply the
splitting rules, and it does not under 25.0.

Now, if there is a mean to get more verbose output, or something in the
same vein, I'm (of course) willing to try...

Best regards,
  Seb